org.eclipse.microprofile.reactive.messaging.tck.channel

## Class MyBeanEmittingMessages

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.MyBeanEmittingMessages

    @ApplicationScoped
    public class MyBeanEmittingMessages
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MyBeanEmittingMessages()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consume(String s)`
`Emitter<String>` `emitter()`
`List<String>` `list()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyBeanEmittingMessages

    public MyBeanEmittingMessages()

### Method Detail

#### emitter

    public Emitter<String> emitter()

#### list

    public List<String> list()

#### run

    public void run()

#### consume

    public void consume(String s)